.container {
    position: relative;
    padding: 10px 15px;
    width: fit-content;
    border-radius: 100px;
    cursor: pointer;
    overflow: hidden;
}

.text {
    font-size: 23px;
    font-family: var(--primary-font);
}

.container.primary.standard {
    background-color: var(--primary-color);
    box-shadow: 0 0 3px var(--primary-color);
    transition: box-shadow 200ms ease;
}

.container.primary.standard:hover {
    background-color: var(--primary-color);
    box-shadow: 0 0 5px var(--primary-color);
}

.container.secondary.standard {
    background-color: var(--secondary-color);
    box-shadow: 0 0 3px var(--secondary-color);
    transition: box-shadow 200ms ease;


}.container.secondary.standard:hover {
     background-color: var(--secondary-color);
     box-shadow: 0 0 5px var(--secondary-color);
 }


.container.transparent {
    background-color: rgba(0,0,0,0.04);
    box-shadow: 0 0 3px rgba(0,0,0,0.1);
    transition: box-shadow 200ms ease;
}

.container.transparent:hover {
    box-shadow: 0 0 5px rgba(0,0,0,0.1);

}

.overlay{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    transition: background-color 200ms ease;
}

.overlay.primary.standard:hover,.overlay.secondary.standard:hover  {
    background-color: rgba(250,250,250, 0.1);
}

.text.standard, .text.standard {
    color: #fff;
}

.overlay.transparent:hover  {
    background-color: rgba(0,0,0, 0.06);
}

.text.primary.transparent {
    color: var(--primary-color)
}
.text.secondary.transparent {
    color: var(--secondary-color)
}
